## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# AVTPartXPath Class Reference

Simple string part of a complex AVT. More...

Inheritance diagram for AVTPartXPath:

[legend]
Collaboration diagram for AVTPartXPath:

[legend]
List of all members.

## Public Member Functions

- AVTPartXPath (const XPath *xpath)
    Construct an XPath Attribute Value Template (AVT) part from an XPath.
- virtual void evaluate (XalanDOMString &buf, XalanNode *contextNode, const PrefixResolver &prefixResolver, XPathExecutionContext &executionContext) const
    Append the value to the buffer.
- virtual void evaluate (XalanDOMString &buf, const PrefixResolver &prefixResolver, XPathExecutionContext &executionContext) const
    Append the value to the buffer.

## Detailed Description

Simple string part of a complex AVT.

## Constructor & Destructor Documentation

AVTPartXPath::AVTPartXPath | ( | const XPath * | xpath | ) |

Construct an XPath Attribute Value Template (AVT) part from an XPath.

Parameters:

  xpath | XPath to evaluate

## Member Function Documentation

virtual void AVTPartXPath::evaluate | ( | XalanDOMString & | buf,
|  | const PrefixResolver & | prefixResolver,
|  | XPathExecutionContext & | executionContext
| ) | const`[virtual]`

Append the value to the buffer.

Parameters:

  buf | buffer to write into
  prefixResolver | prefix resolver to use
  executionContext | execution context

Implements AVTPart.

virtual void AVTPartXPath::evaluate | ( | XalanDOMString & | buf,
|  | XalanNode * | contextNode,
|  | const PrefixResolver & | prefixResolver,
|  | XPathExecutionContext & | executionContext
| ) | const`[virtual]`

Append the value to the buffer.

Parameters:

  buf | buffer to write into
  contextNode | current context node
  prefixResolver | prefix resolver to use
  executionContext | execution context

Implements AVTPart.

The documentation for this class was generated from the following file:

- AVTPartXPath.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.